Bug 201760 - smart-update is not installed suid root
smart-update is not installed suid root
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-08 14:48 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: unknown
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-30 11:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-08-08 14:48:33 EDT
smart-update lacks the suid bit, which makes it (and ksmarttray) pretty much
Comment 1 Axel Thimm 2006-08-09 05:47:49 EDT
ksmarttray uses kdesu, did you really encounter an issue with ksmarttray?

I'll fix smart-update suid, I hope I can still do so for FC4.
Comment 2 Ville Skyttä 2006-08-09 11:01:25 EDT
(In reply to comment #1)
> ksmarttray uses kdesu,

No it doesn't for running smart-update, only smart --gui.

> did you really encounter an issue with ksmarttray?

Um, yes.  Without being able to run smart-update with root permissions, it fails
to check for updates and thus fails to do its primary job.
Comment 3 Axel Thimm 2006-08-20 11:20:54 EDT
Unless you strongly object I'll prefer wait on fixing this, as there is still
bug #201752, the unghosting of *.pyos and the mass rebuild, all requiring a
rebuild of smart of their own probably within the next week.
Comment 4 Ville Skyttä 2006-08-20 11:39:57 EDT
Waiting for those for devel/FC6 is ok, but I think it wouldn't hurt to build for
< FC6 as soon as #201752 is resolved even if that would mean FC6/devel
temporarily lagging behind a bit.

By the way, there's also some Python 2.5 movement going on, dunno if it's being
considered for FC6:

BTW, what's the "POST" bug status, and how does one access it?  I don't see it
in the status drop-down box.
Comment 5 Axel Thimm 2006-08-20 13:12:12 EDT
python 2.5 is scheduled a day after FC6t3. Unless one project changes schedule
for any reason it looks like FC6 will be 2.4 based.

"POST" was the last item on the list. It isn't now available probably because it
is selected for this bug, but if you go to any other bug that is ASSIGNED you
will have the choice to make it POST. The short description of it is something
between ASSIGNED and MODIFIED, my interpretation is "next action is known, but
nothing has been changed yet", and I assume POST means "postponed".

But I see that MODIFIED is missing, so something is amiss. Either POST is
wrongly available, or MODIFIED is wrongly missing, or the description is bogus.
Pick one :)

Note You need to log in before you can comment on or make changes to this bug.